package com.goldenwater.slaj.eng.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.goldenwater.common.core.controller.BaseController;
import com.goldenwater.common.core.domain.AjaxResult;
import com.goldenwater.common.core.page.TableDataInfo;
import com.goldenwater.slaj.eng.domain.AttEngWadi;
import com.goldenwater.slaj.eng.service.IEngAttrService;

/**
 * 引调水工程属性
 */
@RestController
@RequestMapping("/eng/attr/wadi")
public class AttEngWadiController extends BaseController {

    @Autowired
    private IEngAttrService<AttEngWadi> wadiEngAttrService;

    @GetMapping("/list")
    public TableDataInfo list(AttEngWadi attEngWadi) {
        startPage();
        List<AttEngWadi> list = wadiEngAttrService.selectList(attEngWadi);
        return getDataTable(list);
    }

    @GetMapping("/{guid}")
    public AjaxResult getInfo(@PathVariable String guid) {
        return AjaxResult.success(wadiEngAttrService.selectByGuid(guid));
    }

    @PostMapping
    public AjaxResult add(@RequestBody AttEngWadi entity) {
        return toAjax(wadiEngAttrService.insert(entity));
    }

    @PutMapping
    public AjaxResult edit(@RequestBody AttEngWadi entity) {
        return toAjax(wadiEngAttrService.update(entity));
    }

    @DeleteMapping("/{guids}")
    public AjaxResult remove(@PathVariable String[] guids) {
        return toAjax(wadiEngAttrService.deleteByGuids(guids));
    }
}
